%define		_class		Date
%define		_subclass	Holidays
%define		_region		Romania
%define		upstream_name	%{_class}_%{_subclass}_%{_region}

Name:		php-pear-%{upstream_name}
Version:	0.1.2
Release:	%mkrel 3
Summary:	Driver based class to calculate holidays in %{_region}
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/%{upstream_name}/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tar.bz2
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
Requires:	php-pear-Date_Holidays >= 0.21.2
BuildArch:	noarch
BuildRequires:	php-pear

%description
%{upstream_name} is the Date_Holidays driver for %{_region} region.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
rm -rf %{buildroot}

cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/docs
rm -rf %{buildroot}%{_datadir}/pear/tests

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml




%changelog
* Sat Feb 05 2011 spuhler <spuhler> 0.1.2-3.mga1
+ Revision: 47256
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Date_Holidays_Romania


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.2-3mdv2011.0
+ Revision: 613647
- the mass rebuild of 2010.1 packages

* Wed Dec 16 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.2-2mdv2010.1
+ Revision: 479278
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Mon Apr 20 2009 Raphaël Gertz <rapsys@mandriva.org> 0.1.2-1mdv2009.1
+ Revision: 368150
- Add spec and source files for php-pear-Date_Holidays_Romania
- Update inscorrect package name
- Add new splited php-pear-Date_Holidays package upstream structure

